Index: /trunk/sources/HeuristicLab.Analysis.Views/3.3/DataRowVisualPropertiesControl.Designer.cs
===================================================================
--- /trunk/sources/HeuristicLab.Analysis.Views/3.3/DataRowVisualPropertiesControl.Designer.cs	(revision 7243)
+++ /trunk/sources/HeuristicLab.Analysis.Views/3.3/DataRowVisualPropertiesControl.Designer.cs	(revision 7244)
@@ -56,17 +56,14 @@
       this.displayNameTextBox = new System.Windows.Forms.TextBox();
       this.axisGroupBox = new System.Windows.Forms.GroupBox();
+      this.yAxisSecondaryRadioButton = new System.Windows.Forms.RadioButton();
+      this.xAxisPrimaryRadioButton = new System.Windows.Forms.RadioButton();
+      this.yAxisPrimaryRadioButton = new System.Windows.Forms.RadioButton();
       this.label5 = new System.Windows.Forms.Label();
+      this.xAxisSecondaryRadioButton = new System.Windows.Forms.RadioButton();
       this.label6 = new System.Windows.Forms.Label();
-      this.panel1 = new System.Windows.Forms.Panel();
-      this.yAxisSecondaryRadioButton = new System.Windows.Forms.RadioButton();
-      this.yAxisPrimaryRadioButton = new System.Windows.Forms.RadioButton();
-      this.panel2 = new System.Windows.Forms.Panel();
-      this.xAxisPrimaryRadioButton = new System.Windows.Forms.RadioButton();
-      this.xAxisSecondaryRadioButton = new System.Windows.Forms.RadioButton();
       this.label9 = new System.Windows.Forms.Label();
       this.histoGramGroupBox = new System.Windows.Forms.GroupBox();
-      this.panel3 = new System.Windows.Forms.Panel();
+      this.binsExactRadioButton = new System.Windows.Forms.RadioButton();
       this.binsApproximatelyRadioButton = new System.Windows.Forms.RadioButton();
-      this.binsExactRadioButton = new System.Windows.Forms.RadioButton();
       this.lineChartGroupBox = new System.Windows.Forms.GroupBox();
       this.lineWidthNumericUpDown = new System.Windows.Forms.NumericUpDown();
@@ -75,23 +72,26 @@
       this.lineStyleComboBox = new System.Windows.Forms.ComboBox();
       this.label8 = new System.Windows.Forms.Label();
+      this.panel1 = new System.Windows.Forms.Panel();
+      this.panel2 = new System.Windows.Forms.Panel();
       ((System.ComponentModel.ISupportInitialize)(this.binsNumericUpDown)).BeginInit();
       this.commonGroupBox.SuspendLayout();
       this.axisGroupBox.SuspendLayout();
+      this.histoGramGroupBox.SuspendLayout();
+      this.lineChartGroupBox.SuspendLayout();
+      ((System.ComponentModel.ISupportInitialize)(this.lineWidthNumericUpDown)).BeginInit();
       this.panel1.SuspendLayout();
       this.panel2.SuspendLayout();
-      this.histoGramGroupBox.SuspendLayout();
-      this.panel3.SuspendLayout();
-      this.lineChartGroupBox.SuspendLayout();
-      ((System.ComponentModel.ISupportInitialize)(this.lineWidthNumericUpDown)).BeginInit();
       this.SuspendLayout();
       // 
       // chartTypeComboBox
       // 
+      this.chartTypeComboBox.Anchor = ((System.Windows.Forms.AnchorStyles)(((System.Windows.Forms.AnchorStyles.Top | System.Windows.Forms.AnchorStyles.Left) 
+            | System.Windows.Forms.AnchorStyles.Right)));
       this.chartTypeComboBox.DropDownStyle = System.Windows.Forms.ComboBoxStyle.DropDownList;
       this.chartTypeComboBox.FormattingEnabled = true;
-      this.chartTypeComboBox.Location = new System.Drawing.Point(89, 45);
+      this.chartTypeComboBox.Location = new System.Drawing.Point(57, 45);
       this.chartTypeComboBox.Name = "chartTypeComboBox";
-      this.chartTypeComboBox.Size = new System.Drawing.Size(211, 21);
-      this.chartTypeComboBox.TabIndex = 1;
+      this.chartTypeComboBox.Size = new System.Drawing.Size(264, 21);
+      this.chartTypeComboBox.TabIndex = 3;
       this.chartTypeComboBox.SelectedValueChanged += new System.EventHandler(this.chartTypeComboBox_SelectedValueChanged);
       // 
@@ -103,8 +103,8 @@
       // 
       this.colorButton.BackColor = System.Drawing.SystemColors.Control;
-      this.colorButton.Location = new System.Drawing.Point(89, 72);
+      this.colorButton.Location = new System.Drawing.Point(56, 72);
       this.colorButton.Name = "colorButton";
       this.colorButton.Size = new System.Drawing.Size(23, 23);
-      this.colorButton.TabIndex = 3;
+      this.colorButton.TabIndex = 5;
       this.colorButton.UseVisualStyleBackColor = false;
       this.colorButton.Click += new System.EventHandler(this.colorButton_Click);
@@ -114,5 +114,5 @@
       this.startIndexZeroCheckBox.AutoSize = true;
       this.startIndexZeroCheckBox.CheckAlign = System.Drawing.ContentAlignment.MiddleRight;
-      this.startIndexZeroCheckBox.Location = new System.Drawing.Point(96, 46);
+      this.startIndexZeroCheckBox.Location = new System.Drawing.Point(81, 46);
       this.startIndexZeroCheckBox.Name = "startIndexZeroCheckBox";
       this.startIndexZeroCheckBox.Size = new System.Drawing.Size(15, 14);
@@ -123,5 +123,7 @@
       // binsNumericUpDown
       // 
-      this.binsNumericUpDown.Location = new System.Drawing.Point(44, 19);
+      this.binsNumericUpDown.Anchor = ((System.Windows.Forms.AnchorStyles)(((System.Windows.Forms.AnchorStyles.Top | System.Windows.Forms.AnchorStyles.Left) 
+            | System.Windows.Forms.AnchorStyles.Right)));
+      this.binsNumericUpDown.Location = new System.Drawing.Point(57, 19);
       this.binsNumericUpDown.Minimum = new decimal(new int[] {
             1,
@@ -130,5 +132,5 @@
             0});
       this.binsNumericUpDown.Name = "binsNumericUpDown";
-      this.binsNumericUpDown.Size = new System.Drawing.Size(96, 20);
+      this.binsNumericUpDown.Size = new System.Drawing.Size(97, 20);
       this.binsNumericUpDown.TabIndex = 1;
       this.binsNumericUpDown.Value = new decimal(new int[] {
@@ -142,31 +144,32 @@
       // 
       this.label1.AutoSize = true;
-      this.label1.Location = new System.Drawing.Point(8, 48);
+      this.label1.Location = new System.Drawing.Point(6, 48);
       this.label1.Name = "label1";
-      this.label1.Size = new System.Drawing.Size(58, 13);
-      this.label1.TabIndex = 0;
-      this.label1.Text = "Chart type:";
+      this.label1.Size = new System.Drawing.Size(34, 13);
+      this.label1.TabIndex = 2;
+      this.label1.Text = "&Type:";
       // 
       // label2
       // 
       this.label2.AutoSize = true;
-      this.label2.Location = new System.Drawing.Point(8, 77);
+      this.label2.Location = new System.Drawing.Point(6, 77);
       this.label2.Name = "label2";
       this.label2.Size = new System.Drawing.Size(34, 13);
-      this.label2.TabIndex = 2;
-      this.label2.Text = "Color:";
+      this.label2.TabIndex = 4;
+      this.label2.Text = "&Color:";
       // 
       // label3
       // 
       this.label3.AutoSize = true;
-      this.label3.Location = new System.Drawing.Point(8, 21);
+      this.label3.Location = new System.Drawing.Point(6, 21);
       this.label3.Name = "label3";
       this.label3.Size = new System.Drawing.Size(30, 13);
       this.label3.TabIndex = 0;
-      this.label3.Text = "Bins:";
+      this.label3.Text = "&Bins:";
       // 
       // commonGroupBox
       // 
-      this.commonGroupBox.Anchor = System.Windows.Forms.AnchorStyles.Top;
+      this.commonGroupBox.Anchor = ((System.Windows.Forms.AnchorStyles)(((System.Windows.Forms.AnchorStyles.Top | System.Windows.Forms.AnchorStyles.Left) 
+            | System.Windows.Forms.AnchorStyles.Right)));
       this.commonGroupBox.Controls.Add(this.displayNameTextBox);
       this.commonGroupBox.Controls.Add(this.axisGroupBox);
@@ -176,7 +179,7 @@
       this.commonGroupBox.Controls.Add(this.label2);
       this.commonGroupBox.Controls.Add(this.chartTypeComboBox);
-      this.commonGroupBox.Location = new System.Drawing.Point(3, 3);
+      this.commonGroupBox.Location = new System.Drawing.Point(0, 0);
       this.commonGroupBox.Name = "commonGroupBox";
-      this.commonGroupBox.Size = new System.Drawing.Size(313, 181);
+      this.commonGroupBox.Size = new System.Drawing.Size(327, 174);
       this.commonGroupBox.TabIndex = 0;
       this.commonGroupBox.TabStop = false;
@@ -185,165 +188,148 @@
       // displayNameTextBox
       // 
-      this.displayNameTextBox.Location = new System.Drawing.Point(89, 19);
+      this.displayNameTextBox.Anchor = ((System.Windows.Forms.AnchorStyles)(((System.Windows.Forms.AnchorStyles.Top | System.Windows.Forms.AnchorStyles.Left) 
+            | System.Windows.Forms.AnchorStyles.Right)));
+      this.displayNameTextBox.Location = new System.Drawing.Point(57, 19);
       this.displayNameTextBox.Name = "displayNameTextBox";
-      this.displayNameTextBox.Size = new System.Drawing.Size(211, 20);
-      this.displayNameTextBox.TabIndex = 10;
+      this.displayNameTextBox.Size = new System.Drawing.Size(264, 20);
+      this.displayNameTextBox.TabIndex = 1;
       this.displayNameTextBox.Validated += new System.EventHandler(this.displayNameTextBox_Validated);
       // 
       // axisGroupBox
       // 
+      this.axisGroupBox.Anchor = ((System.Windows.Forms.AnchorStyles)((((System.Windows.Forms.AnchorStyles.Top | System.Windows.Forms.AnchorStyles.Bottom) 
+            | System.Windows.Forms.AnchorStyles.Left) 
+            | System.Windows.Forms.AnchorStyles.Right)));
+      this.axisGroupBox.Controls.Add(this.panel2);
+      this.axisGroupBox.Controls.Add(this.panel1);
       this.axisGroupBox.Controls.Add(this.label5);
       this.axisGroupBox.Controls.Add(this.label6);
-      this.axisGroupBox.Controls.Add(this.panel1);
-      this.axisGroupBox.Controls.Add(this.panel2);
       this.axisGroupBox.Location = new System.Drawing.Point(6, 101);
       this.axisGroupBox.Name = "axisGroupBox";
-      this.axisGroupBox.Size = new System.Drawing.Size(299, 75);
-      this.axisGroupBox.TabIndex = 9;
+      this.axisGroupBox.Size = new System.Drawing.Size(315, 67);
+      this.axisGroupBox.TabIndex = 6;
       this.axisGroupBox.TabStop = false;
-      this.axisGroupBox.Text = "Display data on";
+      this.axisGroupBox.Text = "Axes";
+      // 
+      // yAxisSecondaryRadioButton
+      // 
+      this.yAxisSecondaryRadioButton.AutoSize = true;
+      this.yAxisSecondaryRadioButton.Location = new System.Drawing.Point(65, 0);
+      this.yAxisSecondaryRadioButton.Name = "yAxisSecondaryRadioButton";
+      this.yAxisSecondaryRadioButton.Size = new System.Drawing.Size(76, 17);
+      this.yAxisSecondaryRadioButton.TabIndex = 5;
+      this.yAxisSecondaryRadioButton.TabStop = true;
+      this.yAxisSecondaryRadioButton.Text = "&Secondary";
+      this.yAxisSecondaryRadioButton.UseVisualStyleBackColor = true;
+      this.yAxisSecondaryRadioButton.CheckedChanged += new System.EventHandler(this.yAxisRadioButton_CheckedChanged);
+      // 
+      // xAxisPrimaryRadioButton
+      // 
+      this.xAxisPrimaryRadioButton.AutoSize = true;
+      this.xAxisPrimaryRadioButton.Location = new System.Drawing.Point(0, 0);
+      this.xAxisPrimaryRadioButton.Name = "xAxisPrimaryRadioButton";
+      this.xAxisPrimaryRadioButton.Size = new System.Drawing.Size(59, 17);
+      this.xAxisPrimaryRadioButton.TabIndex = 1;
+      this.xAxisPrimaryRadioButton.TabStop = true;
+      this.xAxisPrimaryRadioButton.Text = "&Primary";
+      this.xAxisPrimaryRadioButton.UseVisualStyleBackColor = true;
+      this.xAxisPrimaryRadioButton.CheckedChanged += new System.EventHandler(this.xAxisRadioButton_CheckedChanged);
+      // 
+      // yAxisPrimaryRadioButton
+      // 
+      this.yAxisPrimaryRadioButton.AutoSize = true;
+      this.yAxisPrimaryRadioButton.Location = new System.Drawing.Point(0, 0);
+      this.yAxisPrimaryRadioButton.Name = "yAxisPrimaryRadioButton";
+      this.yAxisPrimaryRadioButton.Size = new System.Drawing.Size(59, 17);
+      this.yAxisPrimaryRadioButton.TabIndex = 4;
+      this.yAxisPrimaryRadioButton.TabStop = true;
+      this.yAxisPrimaryRadioButton.Text = "&Primary";
+      this.yAxisPrimaryRadioButton.UseVisualStyleBackColor = true;
+      this.yAxisPrimaryRadioButton.CheckedChanged += new System.EventHandler(this.yAxisRadioButton_CheckedChanged);
       // 
       // label5
       // 
       this.label5.AutoSize = true;
-      this.label5.Location = new System.Drawing.Point(6, 46);
+      this.label5.Location = new System.Drawing.Point(6, 44);
       this.label5.Name = "label5";
       this.label5.Size = new System.Drawing.Size(39, 13);
-      this.label5.TabIndex = 6;
-      this.label5.Text = "Y-Axis:";
+      this.label5.TabIndex = 3;
+      this.label5.Text = "&Y-Axis:";
+      // 
+      // xAxisSecondaryRadioButton
+      // 
+      this.xAxisSecondaryRadioButton.AutoSize = true;
+      this.xAxisSecondaryRadioButton.Location = new System.Drawing.Point(65, 0);
+      this.xAxisSecondaryRadioButton.Name = "xAxisSecondaryRadioButton";
+      this.xAxisSecondaryRadioButton.Size = new System.Drawing.Size(76, 17);
+      this.xAxisSecondaryRadioButton.TabIndex = 2;
+      this.xAxisSecondaryRadioButton.TabStop = true;
+      this.xAxisSecondaryRadioButton.Text = "&Secondary";
+      this.xAxisSecondaryRadioButton.UseVisualStyleBackColor = true;
+      this.xAxisSecondaryRadioButton.CheckedChanged += new System.EventHandler(this.xAxisRadioButton_CheckedChanged);
       // 
       // label6
       // 
       this.label6.AutoSize = true;
-      this.label6.Location = new System.Drawing.Point(6, 22);
+      this.label6.Location = new System.Drawing.Point(6, 21);
       this.label6.Name = "label6";
       this.label6.Size = new System.Drawing.Size(39, 13);
-      this.label6.TabIndex = 6;
-      this.label6.Text = "X-Axis:";
-      // 
-      // panel1
-      // 
-      this.panel1.Controls.Add(this.yAxisSecondaryRadioButton);
-      this.panel1.Controls.Add(this.yAxisPrimaryRadioButton);
-      this.panel1.Location = new System.Drawing.Point(63, 40);
-      this.panel1.Name = "panel1";
-      this.panel1.Size = new System.Drawing.Size(231, 25);
-      this.panel1.TabIndex = 5;
-      // 
-      // yAxisSecondaryRadioButton
-      // 
-      this.yAxisSecondaryRadioButton.AutoSize = true;
-      this.yAxisSecondaryRadioButton.Location = new System.Drawing.Point(70, 4);
-      this.yAxisSecondaryRadioButton.Name = "yAxisSecondaryRadioButton";
-      this.yAxisSecondaryRadioButton.Size = new System.Drawing.Size(76, 17);
-      this.yAxisSecondaryRadioButton.TabIndex = 1;
-      this.yAxisSecondaryRadioButton.TabStop = true;
-      this.yAxisSecondaryRadioButton.Text = "Secondary";
-      this.yAxisSecondaryRadioButton.UseVisualStyleBackColor = true;
-      this.yAxisSecondaryRadioButton.CheckedChanged += new System.EventHandler(this.yAxisRadioButton_CheckedChanged);
-      // 
-      // yAxisPrimaryRadioButton
-      // 
-      this.yAxisPrimaryRadioButton.AutoSize = true;
-      this.yAxisPrimaryRadioButton.Location = new System.Drawing.Point(4, 4);
-      this.yAxisPrimaryRadioButton.Name = "yAxisPrimaryRadioButton";
-      this.yAxisPrimaryRadioButton.Size = new System.Drawing.Size(59, 17);
-      this.yAxisPrimaryRadioButton.TabIndex = 0;
-      this.yAxisPrimaryRadioButton.TabStop = true;
-      this.yAxisPrimaryRadioButton.Text = "Primary";
-      this.yAxisPrimaryRadioButton.UseVisualStyleBackColor = true;
-      this.yAxisPrimaryRadioButton.CheckedChanged += new System.EventHandler(this.yAxisRadioButton_CheckedChanged);
-      // 
-      // panel2
-      // 
-      this.panel2.Controls.Add(this.xAxisPrimaryRadioButton);
-      this.panel2.Controls.Add(this.xAxisSecondaryRadioButton);
-      this.panel2.Location = new System.Drawing.Point(63, 16);
-      this.panel2.Name = "panel2";
-      this.panel2.Size = new System.Drawing.Size(231, 25);
-      this.panel2.TabIndex = 7;
-      // 
-      // xAxisPrimaryRadioButton
-      // 
-      this.xAxisPrimaryRadioButton.AutoSize = true;
-      this.xAxisPrimaryRadioButton.Location = new System.Drawing.Point(4, 4);
-      this.xAxisPrimaryRadioButton.Name = "xAxisPrimaryRadioButton";
-      this.xAxisPrimaryRadioButton.Size = new System.Drawing.Size(59, 17);
-      this.xAxisPrimaryRadioButton.TabIndex = 0;
-      this.xAxisPrimaryRadioButton.TabStop = true;
-      this.xAxisPrimaryRadioButton.Text = "Primary";
-      this.xAxisPrimaryRadioButton.UseVisualStyleBackColor = true;
-      this.xAxisPrimaryRadioButton.CheckedChanged += new System.EventHandler(this.xAxisRadioButton_CheckedChanged);
-      // 
-      // xAxisSecondaryRadioButton
-      // 
-      this.xAxisSecondaryRadioButton.AutoSize = true;
-      this.xAxisSecondaryRadioButton.Location = new System.Drawing.Point(70, 4);
-      this.xAxisSecondaryRadioButton.Name = "xAxisSecondaryRadioButton";
-      this.xAxisSecondaryRadioButton.Size = new System.Drawing.Size(76, 17);
-      this.xAxisSecondaryRadioButton.TabIndex = 1;
-      this.xAxisSecondaryRadioButton.TabStop = true;
-      this.xAxisSecondaryRadioButton.Text = "Secondary";
-      this.xAxisSecondaryRadioButton.UseVisualStyleBackColor = true;
-      this.xAxisSecondaryRadioButton.CheckedChanged += new System.EventHandler(this.xAxisRadioButton_CheckedChanged);
+      this.label6.TabIndex = 0;
+      this.label6.Text = "&X-Axis:";
       // 
       // label9
       // 
       this.label9.AutoSize = true;
-      this.label9.Location = new System.Drawing.Point(8, 22);
+      this.label9.Location = new System.Drawing.Point(6, 22);
       this.label9.Name = "label9";
-      this.label9.Size = new System.Drawing.Size(75, 13);
+      this.label9.Size = new System.Drawing.Size(38, 13);
       this.label9.TabIndex = 0;
-      this.label9.Text = "Display Name:";
+      this.label9.Text = "&Name:";
       // 
       // histoGramGroupBox
       // 
-      this.histoGramGroupBox.Anchor = System.Windows.Forms.AnchorStyles.Top;
-      this.histoGramGroupBox.Controls.Add(this.panel3);
+      this.histoGramGroupBox.Anchor = ((System.Windows.Forms.AnchorStyles)(((System.Windows.Forms.AnchorStyles.Top | System.Windows.Forms.AnchorStyles.Left) 
+            | System.Windows.Forms.AnchorStyles.Right)));
+      this.histoGramGroupBox.Controls.Add(this.binsExactRadioButton);
+      this.histoGramGroupBox.Controls.Add(this.binsApproximatelyRadioButton);
       this.histoGramGroupBox.Controls.Add(this.binsNumericUpDown);
       this.histoGramGroupBox.Controls.Add(this.label3);
-      this.histoGramGroupBox.Location = new System.Drawing.Point(3, 292);
+      this.histoGramGroupBox.Location = new System.Drawing.Point(0, 280);
       this.histoGramGroupBox.Name = "histoGramGroupBox";
-      this.histoGramGroupBox.Size = new System.Drawing.Size(313, 49);
+      this.histoGramGroupBox.Size = new System.Drawing.Size(327, 47);
       this.histoGramGroupBox.TabIndex = 2;
       this.histoGramGroupBox.TabStop = false;
-      this.histoGramGroupBox.Text = "Histogram";
-      // 
-      // panel3
-      // 
-      this.panel3.Controls.Add(this.binsApproximatelyRadioButton);
-      this.panel3.Controls.Add(this.binsExactRadioButton);
-      this.panel3.Location = new System.Drawing.Point(146, 16);
-      this.panel3.Name = "panel3";
-      this.panel3.Size = new System.Drawing.Size(154, 25);
-      this.panel3.TabIndex = 2;
+      this.histoGramGroupBox.Text = "Histogram Properties";
+      // 
+      // binsExactRadioButton
+      // 
+      this.binsExactRadioButton.Anchor = ((System.Windows.Forms.AnchorStyles)((System.Windows.Forms.AnchorStyles.Top | System.Windows.Forms.AnchorStyles.Right)));
+      this.binsExactRadioButton.AutoSize = true;
+      this.binsExactRadioButton.Location = new System.Drawing.Point(269, 19);
+      this.binsExactRadioButton.Name = "binsExactRadioButton";
+      this.binsExactRadioButton.Size = new System.Drawing.Size(52, 17);
+      this.binsExactRadioButton.TabIndex = 3;
+      this.binsExactRadioButton.TabStop = true;
+      this.binsExactRadioButton.Text = "&Exact";
+      this.binsExactRadioButton.UseVisualStyleBackColor = true;
+      this.binsExactRadioButton.CheckedChanged += new System.EventHandler(this.binNumberRadioButton_CheckedChanged);
       // 
       // binsApproximatelyRadioButton
       // 
+      this.binsApproximatelyRadioButton.Anchor = ((System.Windows.Forms.AnchorStyles)((System.Windows.Forms.AnchorStyles.Top | System.Windows.Forms.AnchorStyles.Right)));
       this.binsApproximatelyRadioButton.AutoSize = true;
-      this.binsApproximatelyRadioButton.Location = new System.Drawing.Point(4, 4);
+      this.binsApproximatelyRadioButton.Location = new System.Drawing.Point(173, 19);
       this.binsApproximatelyRadioButton.Name = "binsApproximatelyRadioButton";
       this.binsApproximatelyRadioButton.Size = new System.Drawing.Size(90, 17);
-      this.binsApproximatelyRadioButton.TabIndex = 0;
+      this.binsApproximatelyRadioButton.TabIndex = 2;
       this.binsApproximatelyRadioButton.TabStop = true;
-      this.binsApproximatelyRadioButton.Text = "Approximately";
+      this.binsApproximatelyRadioButton.Text = "&Approximately";
       this.binsApproximatelyRadioButton.UseVisualStyleBackColor = true;
       this.binsApproximatelyRadioButton.CheckedChanged += new System.EventHandler(this.binNumberRadioButton_CheckedChanged);
       // 
-      // binsExactRadioButton
-      // 
-      this.binsExactRadioButton.AutoSize = true;
-      this.binsExactRadioButton.Location = new System.Drawing.Point(100, 4);
-      this.binsExactRadioButton.Name = "binsExactRadioButton";
-      this.binsExactRadioButton.Size = new System.Drawing.Size(52, 17);
-      this.binsExactRadioButton.TabIndex = 1;
-      this.binsExactRadioButton.TabStop = true;
-      this.binsExactRadioButton.Text = "Exact";
-      this.binsExactRadioButton.UseVisualStyleBackColor = true;
-      this.binsExactRadioButton.CheckedChanged += new System.EventHandler(this.binNumberRadioButton_CheckedChanged);
-      // 
       // lineChartGroupBox
       // 
-      this.lineChartGroupBox.Anchor = System.Windows.Forms.AnchorStyles.Top;
+      this.lineChartGroupBox.Anchor = ((System.Windows.Forms.AnchorStyles)(((System.Windows.Forms.AnchorStyles.Top | System.Windows.Forms.AnchorStyles.Left) 
+            | System.Windows.Forms.AnchorStyles.Right)));
       this.lineChartGroupBox.Controls.Add(this.lineWidthNumericUpDown);
       this.lineChartGroupBox.Controls.Add(this.label4);
@@ -352,14 +338,16 @@
       this.lineChartGroupBox.Controls.Add(this.lineStyleComboBox);
       this.lineChartGroupBox.Controls.Add(this.label8);
-      this.lineChartGroupBox.Location = new System.Drawing.Point(3, 190);
+      this.lineChartGroupBox.Location = new System.Drawing.Point(0, 180);
       this.lineChartGroupBox.Name = "lineChartGroupBox";
-      this.lineChartGroupBox.Size = new System.Drawing.Size(313, 96);
+      this.lineChartGroupBox.Size = new System.Drawing.Size(327, 94);
       this.lineChartGroupBox.TabIndex = 1;
       this.lineChartGroupBox.TabStop = false;
-      this.lineChartGroupBox.Text = "Line chart";
+      this.lineChartGroupBox.Text = "Line Properties";
       // 
       // lineWidthNumericUpDown
       // 
-      this.lineWidthNumericUpDown.Location = new System.Drawing.Point(96, 66);
+      this.lineWidthNumericUpDown.Anchor = ((System.Windows.Forms.AnchorStyles)(((System.Windows.Forms.AnchorStyles.Top | System.Windows.Forms.AnchorStyles.Left) 
+            | System.Windows.Forms.AnchorStyles.Right)));
+      this.lineWidthNumericUpDown.Location = new System.Drawing.Point(82, 66);
       this.lineWidthNumericUpDown.Minimum = new decimal(new int[] {
             1,
@@ -368,5 +356,5 @@
             0});
       this.lineWidthNumericUpDown.Name = "lineWidthNumericUpDown";
-      this.lineWidthNumericUpDown.Size = new System.Drawing.Size(65, 20);
+      this.lineWidthNumericUpDown.Size = new System.Drawing.Size(239, 20);
       this.lineWidthNumericUpDown.TabIndex = 5;
       this.lineWidthNumericUpDown.Value = new decimal(new int[] {
@@ -380,26 +368,28 @@
       // 
       this.label4.AutoSize = true;
-      this.label4.Location = new System.Drawing.Point(8, 68);
+      this.label4.Location = new System.Drawing.Point(6, 68);
       this.label4.Name = "label4";
-      this.label4.Size = new System.Drawing.Size(58, 13);
+      this.label4.Size = new System.Drawing.Size(38, 13);
       this.label4.TabIndex = 4;
-      this.label4.Text = "Line width:";
+      this.label4.Text = "&Width:";
       // 
       // label7
       // 
       this.label7.AutoSize = true;
-      this.label7.Location = new System.Drawing.Point(8, 46);
+      this.label7.Location = new System.Drawing.Point(6, 46);
       this.label7.Name = "label7";
-      this.label7.Size = new System.Drawing.Size(81, 13);
+      this.label7.Size = new System.Drawing.Size(70, 13);
       this.label7.TabIndex = 2;
-      this.label7.Text = "Start index at 0:";
+      this.label7.Text = "Start &Index 0:";
       // 
       // lineStyleComboBox
       // 
+      this.lineStyleComboBox.Anchor = ((System.Windows.Forms.AnchorStyles)(((System.Windows.Forms.AnchorStyles.Top | System.Windows.Forms.AnchorStyles.Left) 
+            | System.Windows.Forms.AnchorStyles.Right)));
       this.lineStyleComboBox.DropDownStyle = System.Windows.Forms.ComboBoxStyle.DropDownList;
       this.lineStyleComboBox.FormattingEnabled = true;
-      this.lineStyleComboBox.Location = new System.Drawing.Point(96, 19);
+      this.lineStyleComboBox.Location = new System.Drawing.Point(82, 19);
       this.lineStyleComboBox.Name = "lineStyleComboBox";
-      this.lineStyleComboBox.Size = new System.Drawing.Size(204, 21);
+      this.lineStyleComboBox.Size = new System.Drawing.Size(239, 21);
       this.lineStyleComboBox.TabIndex = 1;
       this.lineStyleComboBox.SelectedValueChanged += new System.EventHandler(this.lineStyleComboBox_SelectedValueChanged);
@@ -408,9 +398,31 @@
       // 
       this.label8.AutoSize = true;
-      this.label8.Location = new System.Drawing.Point(8, 22);
+      this.label8.Location = new System.Drawing.Point(6, 22);
       this.label8.Name = "label8";
-      this.label8.Size = new System.Drawing.Size(54, 13);
+      this.label8.Size = new System.Drawing.Size(33, 13);
       this.label8.TabIndex = 0;
-      this.label8.Text = "Line style:";
+      this.label8.Text = "&Style:";
+      // 
+      // panel1
+      // 
+      this.panel1.Anchor = ((System.Windows.Forms.AnchorStyles)(((System.Windows.Forms.AnchorStyles.Top | System.Windows.Forms.AnchorStyles.Left) 
+            | System.Windows.Forms.AnchorStyles.Right)));
+      this.panel1.Controls.Add(this.xAxisPrimaryRadioButton);
+      this.panel1.Controls.Add(this.xAxisSecondaryRadioButton);
+      this.panel1.Location = new System.Drawing.Point(51, 19);
+      this.panel1.Name = "panel1";
+      this.panel1.Size = new System.Drawing.Size(258, 17);
+      this.panel1.TabIndex = 6;
+      // 
+      // panel2
+      // 
+      this.panel2.Anchor = ((System.Windows.Forms.AnchorStyles)(((System.Windows.Forms.AnchorStyles.Top | System.Windows.Forms.AnchorStyles.Left) 
+            | System.Windows.Forms.AnchorStyles.Right)));
+      this.panel2.Controls.Add(this.yAxisSecondaryRadioButton);
+      this.panel2.Controls.Add(this.yAxisPrimaryRadioButton);
+      this.panel2.Location = new System.Drawing.Point(51, 42);
+      this.panel2.Name = "panel2";
+      this.panel2.Size = new System.Drawing.Size(258, 17);
+      this.panel2.TabIndex = 7;
       // 
       // DataRowVisualPropertiesControl
@@ -422,5 +434,5 @@
       this.Controls.Add(this.commonGroupBox);
       this.Name = "DataRowVisualPropertiesControl";
-      this.Size = new System.Drawing.Size(319, 347);
+      this.Size = new System.Drawing.Size(327, 331);
       ((System.ComponentModel.ISupportInitialize)(this.binsNumericUpDown)).EndInit();
       this.commonGroupBox.ResumeLayout(false);
@@ -428,15 +440,13 @@
       this.axisGroupBox.ResumeLayout(false);
       this.axisGroupBox.PerformLayout();
+      this.histoGramGroupBox.ResumeLayout(false);
+      this.histoGramGroupBox.PerformLayout();
+      this.lineChartGroupBox.ResumeLayout(false);
+      this.lineChartGroupBox.PerformLayout();
+      ((System.ComponentModel.ISupportInitialize)(this.lineWidthNumericUpDown)).EndInit();
       this.panel1.ResumeLayout(false);
       this.panel1.PerformLayout();
       this.panel2.ResumeLayout(false);
       this.panel2.PerformLayout();
-      this.histoGramGroupBox.ResumeLayout(false);
-      this.histoGramGroupBox.PerformLayout();
-      this.panel3.ResumeLayout(false);
-      this.panel3.PerformLayout();
-      this.lineChartGroupBox.ResumeLayout(false);
-      this.lineChartGroupBox.PerformLayout();
-      ((System.ComponentModel.ISupportInitialize)(this.lineWidthNumericUpDown)).EndInit();
       this.ResumeLayout(false);
 
@@ -466,7 +476,4 @@
     private System.Windows.Forms.RadioButton binsExactRadioButton;
     private System.Windows.Forms.RadioButton binsApproximatelyRadioButton;
-    private System.Windows.Forms.Panel panel2;
-    private System.Windows.Forms.Panel panel1;
-    private System.Windows.Forms.Panel panel3;
     private System.Windows.Forms.ComboBox lineStyleComboBox;
     private System.Windows.Forms.Label label8;
@@ -475,4 +482,6 @@
     private System.Windows.Forms.TextBox displayNameTextBox;
     private System.Windows.Forms.Label label9;
+    private System.Windows.Forms.Panel panel2;
+    private System.Windows.Forms.Panel panel1;
   }
 }
Index: /trunk/sources/HeuristicLab.Analysis.Views/3.3/DataTableHistoryView.cs
===================================================================
--- /trunk/sources/HeuristicLab.Analysis.Views/3.3/DataTableHistoryView.cs	(revision 7243)
+++ /trunk/sources/HeuristicLab.Analysis.Views/3.3/DataTableHistoryView.cs	(revision 7244)
@@ -20,9 +20,8 @@
 #endregion
 
-using System.Linq;
+using System.Collections.Generic;
 using System.Windows.Forms;
 using HeuristicLab.Core.Views;
 using HeuristicLab.MainForm;
-using System.Collections.Generic;
 
 namespace HeuristicLab.Analysis.Views {
@@ -39,5 +38,5 @@
       if (current == null) return;
       using (DataTableVisualPropertiesDialog dialog = new DataTableVisualPropertiesDialog(current)) {
-        if (dialog.ShowDialog() != DialogResult.OK) return;
+        if (dialog.ShowDialog(this) != DialogResult.OK) return;
         HashSet<string> modifiedDisplayNames = new HashSet<string>(dialog.RowsWithModifiedDisplayNames);
         foreach (DataTable dt in Content) {
@@ -54,5 +53,4 @@
       }
     }
-
   }
 }
